Skip to main content

Pair

GET 

/pair/:from/:to

Returns the minimum and maximum deposit amount and the rate for a pair of coins.

from and to can be coin-network or if network is omitted, it will default to the mainnet. E.g eth-ethereum, eth-mainnet or eth all refer to ETH on the Ethereum network. eth-arbitrum refers to ETH on Arbitrum network.

The rate is determined after incorporating network fees. Without specifying an amount, the system will assume a deposit value of 500 USD. This can be adjusted by adding the amount query parameter.

Rate Example Computations
  • BTC price: 30000 USD
  • USDT price: 1 USD
  • depositCoin: USDT
  • depositNetwork: ethereum
  • settleCoin: BTC
  • USDT receiving fee: 10 USD
  • BTC sending fee: 5 USD
  • Default deposit amount: 500 USD
/pair/usdt-eth/btc

Without specifying the amount at the endpoint, we can calculate the rate as follows:

Rate X = ( default deposit amount - (USDT receiving fee + BTC sending fee) / default deposit amount) / BTC price
Rate X = 0.000032333333333
/pair/usdt-eth/btc?amount=10000

With a specified amount at the endpoint, such as 10000, we can calculate the rate as follows:

Rate Y = ( specified amount - (USDT receiving fee + BTC sending fee) / specified amount) / BTC price
Rate Y = 0.000033283333333

With a specified amount of 10000, the rate is higher. This is because the 15 USD combined network fee has a reduced impact on larger shifts, making it less significant in the overall cost of the 500 USD shift.
warning

Authenticate by signing the request or with the legacy x-sideshift-secret header. Your Ed25519 secret key and your account secret each grant full access to your account. Never share them.

info

Use the same commissionRate in this endpoint as when creating the shift/quote to get an accurate rate information.

Request​

Header Parameters

    x-sideshift-key string

    Your Ed25519 public key, hex encoded. Required when signing the request. See Authentication.

    x-sideshift-timestamp string

    Current Unix time in milliseconds, the same value used in the signed message. Must be within 60 seconds of server time. Required when signing the request.

    x-sideshift-signature string

    Ed25519 signature of timestamp + METHOD + path + body, hex encoded. Required when signing the request. See Authentication.

    x-sideshift-secret string

    Legacy account secret. Not needed when the request is signed with the x-sideshift-key, x-sideshift-timestamp and x-sideshift-signature headers. See Authentication.

Path Parameters

    from stringrequired
    to stringrequired

Query Parameters

    affiliateId stringrequired
    amount number<number>
    commissionRate string

Responses​

OK
Schema
    minstringrequired
    maxstringrequired
    ratestringrequired
    depositCoinstringrequired
    settleCoinstringrequired
    depositNetworkstringrequired
    settleNetworkstringrequired